Package wx :: Package lib :: Module graphics :: Class GraphicsBrush

[frames | no frames]

## Type GraphicsBrush

        object --+
                 |
    GraphicsObject --+
                     |
                    GraphicsBrush

A Brush is used to define how fills are painted. They can have either a solid fill (colors with or without alpha), a stipple created from a wx.Bitmap, or a cairo Pattern object.

Method Summary
| `__init__(self, colour, style)`
| `Apply(self, ctx)`
| ``CreateFromBrush`(brush)` Converts a wx.Brush to a GraphicsBrush (Static method)
| ``CreateFromPattern`(pattern)` Create a Brush directly from a Cairo Pattern object. (Static method)

Property Summary
| `Colour`
| `Pattern`
| `Stipple`
| `Style`

Static Method Details

### CreateFromBrush(brush)

Converts a wx.Brush to a GraphicsBrush

### CreateFromPattern(pattern)

Create a Brush directly from a Cairo Pattern object. This is similar to using a stipple bitmap, but saves a step, and patterns can include gradients, etc.

Property Details

### Colour

  Get Method:
    fget(...)
  Set Method:
    fset(...)

### Pattern

  Get Method:
    fget(...)
  Set Method:
    fset(...)

### Stipple

  Get Method:
    fget(...)
  Set Method:
    fset(...)

### Style

  Get Method:
    fget(...)
  Set Method:
    fset(...)

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:51:43 2009 | http://epydoc.sf.net